List all onboardings for a user
get/users/{fp_id}/onboardings
External ID
Request
Path parameters
fp_id·string
Query parameters
page·optional integer
Zero-based page number. Omit or use 0 for the first page; use 1 for the second page.
page_size·optional integer
Number of results per page. Values above 100 are capped at 100. Omit to use the server's configured default. Keep this fixed when requesting subsequent pages.
Response
data·array of objects
external_id·optional string
The
onboarding_external_id provided when the onboarding session token was createdid·string
A unique identitifer for the onboarding
playbook_key·string
status·string
The status of the onboarding
Allowed values:
passfailincompletependingnoneerrortimestamp·string
The timestamp of onboarding creation
meta·object
GET /users/{fp_id}/onboardings
Response example
{
"data": [
{
"external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
"id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
"playbook_key": "pb_test_xxxxx",
"status": "pass",
"timestamp": "2022-01-04T12:00-07:00"
},
{
"external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
"id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
"playbook_key": "pb_test_xxxxx",
"status": "pass",
"timestamp": "2022-01-04T12:00-07:00"
}
],
"meta": {
"next_page": 2
}
}